## С документацией по модулям можно ознакомиться [здесь](https://docs.retailcrm.ru/Users/Integration/WareHouseSystem/1c). 

## Модули для УТ 11.5, КА 2.5, ERP 2.5, Розница 3.0 и УНФ 3.0
Модули работают только на платформе выше 8.3.23.хххх.
Если открыть базу с обновленным модулем на старой платформе, регламентные задания не будут отображаться в списке регламентных и фоновых заданий.
Если попытаться установить расширение на старой платформе, возникнет ошибка: _Обнаружены проблемы при применении расширения конфигурации. Добавление дочерних объектов этого типа к заимствованным в расширениях недопустимо в режиме совместимости 8.3.16 и ниже_.

## Обновление УНФ и Розницы до релизов 3.0.5.211 и выше.

При обновлении конфигураций может возникнуть: 
_Внутренняя ошибка: запрещенная комбинация текущей области и указанного поколения._

Ошибка зарегистрирована в каталоге ошибок 1С с кодом [60004665](https://bugboard.v8.1c.ru/error/000133937).
Обойти ошибку поможет обновление платформы до релиза 8.3.24.1368.
Удалять расширение нельзя, так как в него добавлены метаданные. После удаления расширения с дальнейшей установкой - данные будут очищены, что приведет к ошибкам в интеграции.

# 1C-configuration

### Данные решения являются шаблонными

## Возможности [RetailCRM_UNF3.0:](https://github.com/retailcrm/1C-configuration/tree/master/Управление_нашей_фирмой/УНФ3.0), [RetailCRM_Retail3.0:](https://github.com/retailcrm/1C-configuration/tree/master/Розница/Розница3.0) и [RetailCRM_Retail2.3:](https://github.com/retailcrm/1C-configuration/tree/master/Розница/Розница2.3)

* Не требуется снятие конфигурации с замка
* Возможность подключения в режиме 1С:Предприятие
* Передача новых заказов и всех изменений по заказам из системы RetailCRM в 1С по расписанию
* Передача изменений по заказу из 1C в RetailCRM
* Синхронизация остатков и закупочных цен в 1С и в RetailCRM в разрезе складов
* Генерация каталога товаров и услуг в ICML с иерархией по группам номенклатуры
* Выгрузка типов цен в RetailCRM
* Передача оплат в 1С (при наличии оплаты в RetailCRM в 1С будет создан соответствующий документ оплаты)
* Передача оплат в RetailCRM (при проведении документа оплаты в 1С, в RetailCRM будет создана/отредактирована оплата)
* Регистрация клиентов в программе лояльности RetailCRM
* Просмотр бонусного счета из карточки контрагента в 1С
* Отображение списанных и начисленых баллов в заказе 1С
* Выгрузка чеков ККМ в RetailCRM
* Работа с программой лояльности в РМК
* Передача признака маркировки в каталоге
* Передача кодов маркировки из РМК (документ Чек ККМ и Чек ККМ возврат)

## Особенности [RetailCRM_УТ11:](https://github.com/retailcrm/1C-configuration/tree/master/Управление_торговлей/УТ11.5)

### Представлены четыре версии: 
* RetailCRM_UT11.4.5 (Для релизов ниже УТ 11.4.5.143, режим совместимости 8.3.10). Модуль снят с поддержки, изменения не вносятся
* RetailCRM_UT11.4.13 (Для релизов до версии 11.4.13.282 включительно, режим совместимости 8.3.14).  Модуль снят с поддержки, изменения не вносятся
* RetailCRM_UT11.4.14 (Для релизов выше УТ 11.4.14.64, режим совместимости 8.3.16) Модуль снят с поддержки, исправляются только критические ошибки.
* RetailCRM_UT11.5 (Для релизов выше УТ 11.5.7.255, режим совместимости 8.3.16) Модуль актуальный и дорабатывается
При использовании модулей на несоответствующих релизах конфиграции могут потребоваться доработки.


## Возможности [RetailCRM_УТ11.5:](https://github.com/retailcrm/1C-configuration/tree/master/Управление_торговлей/УТ11.5), [RetailCRM_KA2.5:](https://github.com/retailcrm/1C-configuration/tree/master/Комплексная_автоматизация/КА2.5) и [RetailCRM_ERP2.5:](https://github.com/retailcrm/1C-configuration/tree/master/ERP_Управление_предприятием)

* Не требуется снятие конфигурации с замка
* Возможность подключения в режиме 1С:Предприятие (только если не используются web-сервисы)
* Передача новых заказов и всех изменений по заказам из системы RetailCRM в 1С в режиме реального времени при помощи web-сервиса
* Передача изменений по заказу из 1C в RetailCRM
* Выгрузка новых заказов из 1С в RetailCRM
* Синхронизация остатков и закупочных цен в 1С и в RetailCRM в разрезе складов
* Генерация каталога товаров и услуг в ICML с иерархией по видам или группам номенклатуры
* Выгрузка типов цен в RetailCRM
* Передача оплат в 1С
* Передача возвратов по документам оплаты из 1С
* Выгрузка документов оплаты из 1C в RetailCRM
* Работа с несколькими магазинами
* Автоматическое создание докумена "Реализация товаров и услуг"
* Автоматическое создание документа "Возврат товаров от покупателя"
* Выгрузка архива клиентов и заказов
* Передача отгрузки в RetailCRM при создании реализации в 1С
* Передача статусов возврата при создании возврата в 1С
* Регистрация клиентов в программе лояльности RetailCRM
* Просмотр бонусного счета из карточки партнера в 1С
* Отображение списанных и начисленных баллов в заказе 1С
* Передача информации о забронированных товарах из RetailCRM в 1С и обратно
* Бронирование товара на разных складах в одном заказе
* Поддержка работы с одинаковыми торговыми предложениями в разных позициях 
* Гибкая настройка соответствия статусов заказа и статусов товара
* Автоматическое заполнение справочников RetailCRM в 1С (типы цен, статусы, типы оплат, типы доставок, магазины,менеджеры)
* Выгрузка чеков ККМ в RetailCRM
* Работа с программой лояльности в РМК
* Передача признака маркировки в каталоге
* Передача кодов маркировки при отгрузке товаров в 1С (документы "Чек ККМ" и "Реализация товаров и услуг")
* Передача кодов маркировки при возврате товаров в 1С (документы"Чек ККМ возврат" и "Возврат товаров от покупателя")


## Возможности [RetailCRM_УТ10.3](https://github.com/retailcrm/1C-configuration/tree/master/Управление_торговлей/УТ10.3):

* Передача новых заказов и всех изменений по заказам из системы RetailCRM в 1С.
* Передача изменений по заказу из 1C в RetailCRM.
* Выгрузка каталога товаров в RetailCRM.
* Выгрузка розничных и закупочных цен в RetailCRM.
* Выгрузка свободных остатков в RetailCRM.
* Работа с несколькими магазинами.